//*****************************************************************************************
//  
//*****************************************************************************************
//   

void delay_c(unsigned char delay)
{
    static unsigned char a, b;
    for (; delay; delay --)
        for (a = 1; a; a ++)
            for (b = 1; b; b ++)
                _WDR();
}
//*****************************************************************************************
//   

void delay_mc(unsigned char delay)
{
    static unsigned char a;
    for (; delay; delay --)
        for (a = 1; a; a ++)
                _WDR();
}
//*****************************************************************************************
//       

void BCD(unsigned char byte_bcd)
{
    ten = 0;
    one = 0;
    while (byte_bcd >= 10){
        byte_bcd -= 10;
        ten ++;
    }
    while (byte_bcd > 0){
        byte_bcd -= 1;
        one ++;
    }
}
//*****************************************************************************************
//   ,   ..  

/*void BCD_big(unsigned long int byte_bcd_big)
{
    mill_ten = 0;
    mill = 0;
    thous_hund = 0;
    thous_ten = 0;
    thous = 0;
    hund = 0;
    ten = 0;
    one = 0;
    while (byte_bcd_big >= 10000000){
        byte_bcd_big -= 10000000;
        mill_ten ++;
    }
    while (byte_bcd_big >= 1000000){
        byte_bcd_big -= 1000000;
        mill ++;
    }
    while (byte_bcd_big >= 100000){
        byte_bcd_big -= 100000;
        thous_hund ++;
    }
    while (byte_bcd_big >= 10000){
        byte_bcd_big -= 10000;
        thous_ten ++;
    }
    while (byte_bcd_big >= 1000){
        byte_bcd_big -= 1000;
        thous ++;
    }
    while (byte_bcd_big >= 100){
        byte_bcd_big -= 100;
        hund ++;
    }
    while (byte_bcd_big >= 10){
        byte_bcd_big -= 10;
        ten ++;
    }
    while (byte_bcd_big > 0){
        byte_bcd_big -= 1;
        one ++;
    }
}*/
//*****************************************************************************************
//       / Ferroelectric Nonvolatile RAM FM25640

void write_FM25640(unsigned char addr_H, unsigned char addr_L)
{
	static unsigned char a;

	_WDR();

	PORTB = CS_FM25640;					//  FM25640
    __delay_cycles(1);
	SPDR = WREN;  						// 0000 0110     FM25640
	while (!(SPSR & 0x80));				//   
	PORTB |= OFF_FM25640;				//      FM25640
    __delay_cycles(1);

	PORTB = CS_FM25640;					//  FM25640
	__delay_cycles(1);
	SPDR = WRITE;  						// 0000 0010    FM25640
	while (!(SPSR & 0x80));				//   
	SPDR = addr_H;						//     ( )
	while (!(SPSR & 0x80));				//   
	SPDR = addr_L;						//     ( )
	while (!(SPSR & 0x80));				//   
	
	for (a = 0; a < 8; a ++){
		SPDR = *p_b ++;					//  ,   
										//   / FM25640
		while (!(SPSR & 0x80));			//   
	}
	PORTB |= OFF_FM25640;				//     FM25640
	__delay_cycles(1);
}
//*****************************************************************************************
//       / Ferroelectric Nonvolatile RAM FM25640

void read_FM25640(unsigned char addr_H, unsigned char addr_L)
{
	static unsigned char a;

	_WDR();

	PORTB = CS_FM25640;					//  FM25640
	__delay_cycles(1);
	SPDR = READ;  						// 0000 0011    FM25640
	while (!(SPSR & 0x80));				//   
	SPDR = addr_H;						//     ( )
	while (!(SPSR & 0x80));				//   
	SPDR = addr_L;						//     ( )						// ADDDR
	while (!(SPSR & 0x80));				//   
	
	for (a = 0; a < 8; a ++){
		SPDR = 0x00;
		while (!(SPSR & 0x80));			//   
		*p_b ++ = SPDR;					// ,   / FM25640,
										//      *pb
	}
	PORTB |= OFF_FM25640;				//     FM25640
	__delay_cycles(1);
}	
//*****************************************************************************************
