//******************************************************************************************
//        
//******************************************************************************************
void menu_simbol(void)
{
	display_position(0, 1, 0);
	inwert = 0;
    write_LCD(W);
    write_LCD(W);
	write_LCD(EE);
    write_LCD(D);
    write_LCD(I);
    write_LCD(T);
	write_LCD(EE);
    left_right = E2;
    write_LCD(space);
    write_LCD(C);
	write_LCD(I);
	write_LCD(M);
    write_LCD(W);
	write_LCD(O);
	write_LCD(L);

	display_position(2, 2, 0);
    write_LCD(C);
    write_LCD(space);
	write_LCD(K);
    write_LCD(L);
    write_LCD(A);
    write_LCD(W);
    left_right = E2;
	write_LCD(I);
    write_LCD(A);
	write_LCD(T);
	write_LCD(U);
    write_LCD(R);
	write_LCD(PI);

	display_position(4, 0, 0);
    write_LCD(cursor);

	column_1 = 1;
}
//*****************************************************************************************
//   

void print_simbol(void)
{
	display_position(string, column_1, column_1);
	
	if (column_1 < 8)
		left_right = E1;
	
	if (column_1 >= 8)
		left_right = E2;
	
	column_1 *= 8;
	switch(key_simb)
    {
	case '0': write_LCD_1(n_0); break;
	case '1': write_LCD_1(n_1); break;
	case '2': write_LCD_1(n_2); break;
	case '3': write_LCD_1(n_3); break;
	case '4': write_LCD_1(n_4); break;
	case '5': write_LCD_1(n_5); break;
	case '6': write_LCD_1(n_6); break;
	case '7': write_LCD_1(n_7); break;
	case '8': write_LCD_1(n_8); break;
	case '9': write_LCD_1(n_9); break;
	case '*': write_LCD_1(star); break;
	case '#': write_LCD_1(lattice); break;
	case '.': write_LCD_1(dot); break;
	case '>': write_LCD_1(arrow_r); break;
	case '<': write_LCD_1(arrow_l); break;
    }
	column_1 /= 8;
	if (column_1 == 16){
		column_1 = 0;
		string ++;
		if (string == 7)
			string = 4;
		left_right = E1;
	}
	delay_c(1);
}
//*****************************************************************************************
void menu_set(void)
{
	display_position(0, 0, 0);
	if (cursor_flag == 0)
		write_LCD(cursor);
	else
		write_LCD(space);
    write_LCD(D);
	write_LCD(A);
    write_LCD(T);
    write_LCD(A);

	display_position(1, 0, 0);
	if (cursor_flag == 1)
		write_LCD(cursor);
	else
		write_LCD(space);
    write_LCD(W);
	write_LCD(R);
	write_LCD(EE);
    write_LCD(M);
	write_LCD(RR);
	
	display_position(2, 0, 0);
	if (cursor_flag == 2)
		write_LCD(cursor);
	else
		write_LCD(space);
    write_LCD(Z);
	write_LCD(A);
    write_LCD(P);
    write_LCD(I);
    write_LCD(C);
    write_LCD(PP);
    write_LCD(space);
    left_right = E2;
    write_LCD(K);
	write_LCD(L);
    write_LCD(UU);
    write_LCD(CH);
    write_LCD(EE);
    write_LCD(II);

    page_lcd = cursor_flag;
}
//*****************************************************************************************
//            

void menu_date(void)
{
    _WDR();

	display_position(2, 1, 0);
    write_LCD(D);
    write_LCD(A);
    write_LCD(T);
    write_LCD(A);
    write_LCD(space);
    write_LCD(space);

    if (cursor_invert == 0)
        inwert = 0xFF;
    else
        inwert = 0x00;


    byte = (day_save & 0xf0);
    tetrada_H(byte);


    left_right = E2;

    if (cursor_invert == 1)
        inwert = 0xFF;
    else
        inwert = 0x00;

    byte = (day_save & 0x0f);
    tetrada_L(byte);

    inwert = 0x00;

    write_LCD(two_dot);

    if (cursor_invert == 2)
        inwert = 0xFF;
    else
        inwert = 0x00;

    byte = (month_save & 0xf0);
    tetrada_H(byte);

    if (cursor_invert == 3)
        inwert = 0xFF;
    else
        inwert = 0x00;

    byte = (month_save & 0x0f);
    tetrada_L(byte);

    inwert = 0x00;

    write_LCD(two_dot);

    if (cursor_invert == 4)
        inwert = 0xFF;
    else
        inwert = 0x00;

    byte = (year_save & 0xf0);
    tetrada_H(byte);

    if (cursor_invert == 5)
        inwert = 0xFF;
    else
        inwert = 0x00;

    byte = (year_save & 0x0f);
    tetrada_L(byte);

    inwert = 0x00;

	display_position(4, 1, 0);
    write_LCD(D);
    write_LCD(EE);
    write_LCD(N);
    write_LCD(PP);
    write_LCD(space);
    write_LCD(space);
    write_LCD(N);
    left_right = E2;
    write_LCD(EE);
    write_LCD(D);
    write_LCD(EE);
    write_LCD(L);
    write_LCD(I);
    write_LCD(space);

    if (cursor_invert == 6)
        inwert = 0xFF;
    else
        inwert = 0x00;

    byte = (week_save & 0x0f);
    tetrada_L(byte);

    inwert = 0x00;
}
//*****************************************************************************************
//            
void menu_time(void)
{
    _WDR();

    inwert = 0x00;

	display_position(3, 1, 0 );
    write_LCD(W);
    write_LCD(R);
    write_LCD(EE);
    write_LCD(M);
    write_LCD(RR);
    write_LCD(space);

    if (cursor_invert == 0)
        inwert = 0xFF;
    else
        inwert = 0x00;

    byte = (hour_save & 0xf0);
    tetrada_H(byte);

    left_right = E2;

    if (cursor_invert == 1)
        inwert = 0xFF;
    else
        inwert = 0x00;

    byte = (hour_save & 0x0f);
    tetrada_L(byte);

    inwert = 0x00;

    write_LCD(two_dot);

    if (cursor_invert == 2)
        inwert = 0xFF;
    else
        inwert = 0x00;

    byte = (min_save & 0xf0);
    tetrada_H(byte);

    if (cursor_invert == 3)
        inwert = 0xFF;
    else
        inwert = 0x00;

    byte = (min_save & 0x0f);
    tetrada_L(byte);

    inwert = 0x00;

    write_LCD(two_dot);

    if (cursor_invert == 4)
        inwert = 0xFF;
    else
        inwert = 0x00;

    byte = (second_save & 0xf0);
    tetrada_H(byte);

    if (cursor_invert == 5)
        inwert = 0xFF;
    else
        inwert = 0x00;

    byte = (second_save & 0x0f);
    tetrada_L(byte);

    inwert = 0x00;
}
//*****************************************************************************************
void cursor_up(unsigned char page_beg, unsigned char page_end, unsigned char step)
{
    _CLI();
	column = 0;

	display_position(page_lcd, 0, 0);
    write_LCD(space);

	page_lcd -= step;
    if (page_lcd < page_beg)
        page_lcd = page_end;

	display_position(page_lcd, 0, 0);
    write_LCD(cursor);

    cursor_flag = page_lcd;

    delay_c(1);
    _SEI();
}
//*****************************************************************************************
void cursor_down(unsigned char page_beg, unsigned char page_end, unsigned char step)
{
    _CLI();
	column = 0;

	display_position(page_lcd, 0, 0);
    write_LCD(space);

	page_lcd += step;
    if (page_lcd > page_end)
        page_lcd = page_beg;

	display_position(page_lcd, 0, 0);
    write_LCD(cursor);

    cursor_flag = page_lcd;

    delay_c(1);
    _SEI();
}
//*****************************************************************************************
void key_manag_oper(void)
{
	display_position(0, 0, 0);
    write_LCD(cursor);
    write_LCD(K);
	write_LCD(L);
    write_LCD(UU);
    write_LCD(CH);
    write_LCD(space);
    write_LCD(NE);
	write_LCD(n_1);

	display_position(1, 1, 0);
    write_LCD(K);
	write_LCD(L);
    write_LCD(UU);
    write_LCD(CH);
    write_LCD(space);
    write_LCD(NE);
    write_LCD(n_2);

    page_lcd = 0;
}	
//*****************************************************************************************
void key_manag(void)
{
	display_position(0, 0, 0);
    write_LCD(K);
	write_LCD(O);
    write_LCD(C);
    write_LCD(N);
    write_LCD(I);
    write_LCD(T);
    write_LCD(EE);
    write_LCD(C);
    left_right = E2;
    write_LCD(PP);
    write_LCD(space);
    write_LCD(K);
	write_LCD(L);
    write_LCD(UU);
    write_LCD(CH);
    write_LCD(O);
    write_LCD(M);

	display_position(2, 7, 0);
    write_LCD(NE);
    left_right = E2;
	write_LCD(n_1);

	display_position(4, 3, 0);
    write_LCD(K);
	write_LCD(O);
    write_LCD(N);
    write_LCD(T);
    write_LCD(A);
    left_right = E2;
    write_LCD(K);
	write_LCD(T);
    write_LCD(O);
    write_LCD(R);
    write_LCD(A);

    page_lcd = 0;
}
//*****************************************************************************************
void key_oper(void)
{
	display_position(0, 0, 0);
    write_LCD(K);
	write_LCD(O);
    write_LCD(C);
    write_LCD(N);
    write_LCD(I);
    write_LCD(T);
    write_LCD(EE);
    write_LCD(C);
    left_right = E2;
    write_LCD(PP);
    write_LCD(space);
    write_LCD(K);
	write_LCD(L);
    write_LCD(UU);
    write_LCD(CH);
    write_LCD(O);
    write_LCD(M);

	display_position(2, 7, 0);
    write_LCD(NE);
    left_right = E2;
    write_LCD(n_2);

	display_position(4, 3, 0);
    write_LCD(K);
	write_LCD(O);
    write_LCD(N);
    write_LCD(T);
    write_LCD(A);
    left_right = E2;
    write_LCD(K);
	write_LCD(T);
    write_LCD(O);
    write_LCD(R);
    write_LCD(A);

    page_lcd = 0;
}
//*****************************************************************************************
void write_end_manag(void)
{
 	display_position(0, 4, 0);
	write_LCD(K);
	write_LCD(L);
    write_LCD(UU);
    write_LCD(CH);
    left_right = E2;
    write_LCD(space);
    write_LCD(NE);
    write_LCD(n_1);

	display_position(2, 0, 0);
    write_LCD(Z);
    write_LCD(A);
	write_LCD(P);
    write_LCD(I);
    write_LCD(C);
    write_LCD(A);
    write_LCD(N);
    write_LCD(space);
    left_right = E2;
    write_LCD(U);
	write_LCD(C);
	write_LCD(P);
    write_LCD(EE);
	write_LCD(SCH);
	write_LCD(N);
	write_LCD(O);

    page_lcd = 0;
}
//*****************************************************************************************
void write_end_oper(void)
{
	display_position(0, 4, 0);
    write_LCD(K);
	write_LCD(L);
    write_LCD(UU);
    write_LCD(CH);
    left_right = E2;
    write_LCD(space);
    write_LCD(NE);
    write_LCD(n_2);

	display_position(2, 0, 0);
    write_LCD(Z);
    write_LCD(A);
	write_LCD(P);
    write_LCD(I);
    write_LCD(C);
    write_LCD(A);
    write_LCD(N);
    write_LCD(space);
    left_right = E2;
    write_LCD(U);
	write_LCD(C);
	write_LCD(P);
    write_LCD(EE);
	write_LCD(SCH);
	write_LCD(N);
	write_LCD(O);

    page_lcd = 0;
}
//*****************************************************************************************
void key_1(void)
{
	display_position(2, 4, 0);
    write_LCD(K);
	write_LCD(L);
    write_LCD(UU);
    write_LCD(CH);
    left_right = E2;
    write_LCD(space);
    write_LCD(NE);
    write_LCD(n_1);

    page_lcd = 0;
}
//*****************************************************************************************
void key_2(void)
{
	display_position(2, 4, 0);
    write_LCD(K);
	write_LCD(L);
    write_LCD(UU);
    write_LCD(CH);
    left_right = E2;
    write_LCD(space);
    write_LCD(NE);
    write_LCD(n_2);

    page_lcd = 0;
}
//*****************************************************************************************
