#include <interrupt.h>
#include <delay.h>
#include <ina90.h>	// _CLI();_SEI();_WDR();_NOP();_EEPUT(ADR,VALoad);_EEGET(VARead,ADR);

#include <stdlib.h>

#include "master_controller_r.h"
//*****************************************************************************************
int main( void )       // m a i n  ()
{
	msucsr = MCUCSR;    //      

	_CLI();

	_WDR();
   	WDTCR   = 0x1F;     //     1,8 

    PORTA	= 0xFF;
    DDRA	= 0xF0;

    PORTB	= 0xFF;
    DDRB	= 0x17;

    PORTC   = 0x00;
    DDRC    = 0x00;     //  

    PORTD   = 0x00;     // 0000 0000
    DDRD    = 0xF0;     // 1111 0000

    PORTE	= 0xFC;  	// 1111 1000
    DDRE	= 0x0C;  	// 0000 1100

    PORTG   = RES_OFF;  // 0000 0100
    DDRG    = 0x1F;     // 0001 1111

    column_key = FIRST_COLUMN;

    TCNT0 	= DELAY_KEYB;//   T0 ( )
    TCCR0	= 0x03;		//      64
    TIMSK	= 0x01;		//     / T0

	EICRA   = 0xC0;		//       INT3
	EIMSK   = 0x08;		//   INT3

    UCSR0A	= 0x00;
    UCSR0C	= 0x06;
	UBRR0H 	= 0x00; 	//   
	UBRR0L 	= 23;		// /    USART
    UCSR0B	= 0x00;		//   ,      

	SPSR	= 0x00;
	SPCR	= 0x5C;  	// 0101 1100

	//    TWI (I2C)

	TWBR	= 42;		// 92 - 20 , 42 - 40 , 17 - 80 , 12 - 100 
	
/*	alarm(3);
	initial_LCD();
    clean_screen();
    black_screen();
    delay_c(5);
    clean_screen();
    delay_c(5);
	picture();
    delay_c(5);
    clean_screen();
    clock();
	menu_simbol();
	string = 4;
	p_b  = &tm_manag[0];
	read_FM25640(0, 0);*/
//	read_TM_manag();
	p_b = &tm_oper[0];
	read_FM25640(0, 10);
//	read_TM_oper();
	_SEI();
//*****************************************************************************************
    for (;;){            					//  
		_WDR();

		TM_line();

        if ((menu_flag == NONE_MENU) && (key_simb >= '#')
			&& (key_simb <= '>') && (key_simb != '-')){
				_CLI();
				print_simbol();
				_SEI();
			}
		
		if ((menu_flag == NONE_MENU) && (key_simb == '-')){
			_CLI();
 			clean_screen();
			menu_set();
			menu_flag = MENU_SET;
			cursor_flag = 0;
			_SEI();
			delay_mc(70);
            while (key_simb)			//      
				_WDR();
		}

        //         
        if (menu_flag == MENU_SET){
            switch(key_simb){
				case'>':cursor_up(0, 2, 1); break;
                case'<':cursor_down(0, 2, 1); break;
            }
        }
//-----------------------------------------------------------------------------------------
		//  ""
		if ((menu_flag == MENU_SET) && (cursor_flag == 0)){
            if (key_simb == '-'){
                _CLI();
                clean_screen();
                date_save();
                menu_date();			// ""
                menu_flag = CHANGE_DATE;
                _SEI();
				delay_mc(70);
                while (key_simb)		//      
					_WDR();
            }
        }

        if (menu_flag == CHANGE_DATE){
            switch (key_simb){
                case'>':
                        cursor_invert ++;
                        if (cursor_invert > 6)
                            cursor_invert = 0;
                        _CLI();
                        menu_date();		// ""
                        _SEI();
                        delay_mc(200);
                    break;
                case'<':
                        cursor_invert --;
                        if (cursor_invert == 0xFF)
                            cursor_invert = 6;
                        _CLI();
                        menu_date();		// ""
                        _SEI();
                        delay_mc(200);
                    break;
                case'-':
					cursor_invert = 7;
					_CLI();
					menu_date();			// ""
					write_date_clock();
					_SEI();
					delay_mc(70);
	                while (key_simb)		//      
						_WDR();
                    break;
            }
        }

        if (menu_flag == CHANGE_DATE){
            switch (cursor_invert){
                case(0):
                    date_change(day_save); break;
                    case(1):
                        date_change(day_save); break;
                        case(2):
                            date_change(month_save); break;
                            case(3):
                                date_change(month_save); break;
                                case(4):
                                    date_change(year_save); break;
                                    case(5):
                                        date_change(year_save); break;
										case(6):
											date_change(week_save); break;
            }
        }

		//    ""
		if ((menu_flag == CHANGE_DATE) && (key_simb == '#')){
                _CLI();
                clean_screen();
                menu_flag = MENU_SET;
                cursor_flag = 0;
				cursor_invert = 0;
                menu_set();
				_SEI();
				delay_mc(70);
                while (key_simb)			//      
					_WDR();
        }
//-----------------------------------------------------------------------------------------
		//  ""
		if ((menu_flag == MENU_SET) && (cursor_flag == 1)){
            if (key_simb == '-'){
                _CLI();
                clean_screen();
                time_save();
                menu_time();				// ""
                menu_flag = CHANGE_TIME;
                _SEI();
				delay_mc(70);
                while (key_simb)			//      
					_WDR();
            }
        }

		if (menu_flag == CHANGE_TIME){
            switch (key_simb){
                case'>':
                        cursor_invert ++;
                        if (cursor_invert > 5)
                            cursor_invert = 0;
                        _CLI();
						menu_time();				// ""
                        _SEI();
                        delay_mc(200);
                    break;
                case'<':
                        cursor_invert --;
                        if (cursor_invert == 0xFF)
                            cursor_invert = 5;
                        _CLI();
						menu_time();				// ""
                        _SEI();
                        delay_mc(200);
                    break;
                case'-':
					cursor_invert = 6;
					_CLI();
					menu_time();			// ""
					write_time_clock();
					_SEI();
					delay_mc(70);
	                while (key_simb)		//      
						_WDR();
                    break;
            }
        }

        if (menu_flag == CHANGE_TIME){
            switch (cursor_invert){
                case(0):
                    time_change(hour_save); break;
                    case(1):
                        time_change(hour_save); break;
                        case(2):
                            time_change(min_save); break;
                            case(3):
                                time_change(min_save); break;
                                case(4):
                                    time_change(second_save); break;
                                    case(5):
                                        time_change(second_save); break;
            }
        }

		//    ""
		if ((menu_flag == CHANGE_TIME) && (key_simb == '#')){
                _CLI();
                clean_screen();
                menu_flag = MENU_SET;
                cursor_flag = 1;
                menu_set();
				cursor_invert = 0;
                _SEI();
				delay_mc(70);
                while (key_simb)			//      
					_WDR();
        }
//-----------------------------------------------------------------------------------------
		//  " "
		if ((menu_flag == MENU_SET) && (cursor_flag == 2)){
            if (key_simb == '-'){
                _CLI();
                clean_screen();
                key_manag_oper();			// "  1"
                menu_flag = WRITE_KEY;		// "  2"
                cursor_flag = 0;
                _SEI();
 				delay_mc(70);
                while (key_simb)			//      
					_WDR();
            }
        }

        //         
		if (menu_flag == WRITE_KEY){
            switch (key_simb){
                case'>':cursor_up(0, 1, 1); break;
                case'<':cursor_down(0, 1, 1); break;
            }
        }

		//    " "
		if ((menu_flag == WRITE_KEY) && (key_simb == '#')){
                _CLI();
                clean_screen();
                menu_flag = MENU_SET;		// "",
                cursor_flag = 2;			// "", " "
                menu_set();
				cursor_invert = 0;
                _SEI();
				delay_mc(70);
                while (key_simb)			//      
					_WDR();
        }
//-----------------------------------------------------------------------------------------
		if ((menu_flag == WRITE_KEY) && (cursor_flag == 0)){
            if (key_simb == '-'){
                _CLI();
                clean_screen();
                key_manag();				// "  1"
                menu_flag = KEY_MANAG;
                _SEI();
				delay_mc(70);
                while (key_simb)			//      
					_WDR();
            }
		}
		
		if (menu_flag == KEY_MANAG){
			_CLI();
			TM_write_manag();
			p_b  = &tm_manag[0];
			read_FM25640(0, 0);
//			read_TM_manag();
			_SEI();
		}

		if ((menu_flag == WRITE_KEY) && (cursor_flag == 1)){
            if (key_simb == '-'){
                _CLI();
                clean_screen();
                key_oper();					// "  2"
                menu_flag = KEY_OPER;
                _SEI();
				delay_mc(70);
                while (key_simb)			//      
					_WDR();
            }
		}

		if (menu_flag == KEY_OPER){
			_CLI();
			TM_write_oper();
			p_b  = &tm_oper[0];
			read_FM25640(0, 10);
//			read_TM_oper();
			_SEI();
		}
				
		//    "  1"  "  2"
		if (((menu_flag == KEY_MANAG) || (menu_flag == KEY_OPER))
			&& (key_simb == '#')){
				_CLI();
				clean_screen();
				key_manag_oper();			// "  1"
				menu_flag = WRITE_KEY;		// "  2"
				cursor_flag = 0;
				_SEI();
				delay_mc(70);
                while (key_simb)			//      
					_WDR();
			}
//-----------------------------------------------------------------------------------------
		//      (   )
		if ((key_simb == '#') && (menu_flag != CHANGE_DATE) && (menu_flag != NONE_MENU)
			&& (menu_flag != CHANGE_TIME) && (menu_flag != WRITE_KEY)
				&& (menu_flag != KEY_MANAG)	&& (menu_flag != KEY_OPER)){
					_CLI();
					clean_screen();
					string = 4;
					menu_simbol();
					menu_flag = NONE_MENU;
					cursor_flag = 0;
					_SEI();
					delay_mc(70);
	                while (key_simb)		//      
						_WDR();
				}
    }
}                       // end of	m a i n  ()
//*****************************************************************************************
